Bug 30223 - Move book cover image upload JS to a separate file
Summary: Move book cover image upload JS to a separate file
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-03 18:47 UTC by Owen Leonard
Modified: 2022-04-29 16:58 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30223: Move book cover image upload JS to a separate file (18.66 KB, patch)
2022-03-03 19:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30223: Move book cover image upload JS to a separate file (18.72 KB, patch)
2022-03-04 18:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30223: Move book cover image upload JS to a separate file (18.77 KB, patch)
2022-04-02 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-03 18:47:28 UTC
With the cover image JavaScript in a separate file it can be reused on other pages.
Comment 1 Owen Leonard 2022-03-03 19:02:33 UTC
Created attachment 131346 [details] [review]
Bug 30223: Move book cover image upload JS to a separate file

This patch moves most of the JavaScript from upload-images.tt into a
separate file, upload-images.js. Functionality should be unchanged.

To test, apply the patch and go to Tools  -> Upload local cover image.

Test all the things:
 - Drag-and-drop upload
 - Click-to-browse upload;
 - Deleting existing images
 - Uploading a zip file
Comment 2 Lucas Gass 2022-03-04 18:48:45 UTC
Created attachment 131387 [details] [review]
Bug 30223: Move book cover image upload JS to a separate file

This patch moves most of the JavaScript from upload-images.tt into a
separate file, upload-images.js. Functionality should be unchanged.

To test, apply the patch and go to Tools  -> Upload local cover image.

Test all the things:
 - Drag-and-drop upload
 - Click-to-browse upload;
 - Deleting existing images
 - Uploading a zip file

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-04-02 22:23:42 UTC
Created attachment 132906 [details] [review]
Bug 30223: Move book cover image upload JS to a separate file

This patch moves most of the JavaScript from upload-images.tt into a
separate file, upload-images.js. Functionality should be unchanged.

To test, apply the patch and go to Tools  -> Upload local cover image.

Test all the things:
 - Drag-and-drop upload
 - Click-to-browse upload;
 - Deleting existing images
 - Uploading a zip file

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-04-20 07:23:57 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄